GetStream
Retrieves information about a stream.
Request Syntax
GET /stream/clusterIdentifier/streamIdentifier HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- clusterIdentifier
-
The ID of the cluster containing the stream to retrieve.
Pattern:
[a-z0-9]{26}Required: Yes
- streamIdentifier
-
The ID of the stream to retrieve.
Pattern:
[a-z0-9]{26}Required: Yes
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"arn": "string",
"clusterIdentifier": "string",
"creationTime": number,
"format": "string",
"ordering": "string",
"status": "string",
"statusReason": {
"error": "string",
"updatedAt": number
},
"streamIdentifier": "string",
"tags": {
"string" : "string"
},
"targetDefinition": { ... }
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- arn
-
The ARN of the retrieved stream.
Type: String
Pattern:
arn:aws(-[^:]+)?:dsql:[a-z0-9-]{1,20}:[0-9]{12}:cluster/[a-z0-9]{26}/stream/[a-z0-9]{26} - clusterIdentifier
-
The ID of the cluster for the retrieved stream.
Type: String
Pattern:
[a-z0-9]{26} - creationTime
-
The time when the stream was created.
Type: Timestamp
- format
-
The format of the stream records.
Type: String
Valid Values:
JSON - ordering
-
The ordering mode of the stream.
Type: String
Valid Values:
UNORDERED - status
-
The current status of the retrieved stream.
Type: String
Valid Values:
CREATING | ACTIVE | DELETING | DELETED | FAILED | IMPAIRED - statusReason
-
Stream status reason with error code and timestamp (if applicable).
Type: StatusReason object
- streamIdentifier
-
The ID of the retrieved stream.
Type: String
Pattern:
[a-z0-9]{26} -
A map of tags associated with the stream.
Type: String to string map
Map Entries: Minimum number of 0 items. Maximum number of 200 items.
Key Length Constraints: Minimum length of 1. Maximum length of 128.
Key Pattern:
[a-zA-Z0-9_.:/=+\-@ ]*Value Length Constraints: Minimum length of 0. Maximum length of 256.
Value Pattern:
[a-zA-Z0-9_.:/=+\-@ ]* - targetDefinition
-
The target definition for the stream destination.
Type: TargetDefinition object
Note: This object is a Union. Only one member of this object can be specified or returned.
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
You do not have sufficient access to perform this action.
HTTP Status Code: 403
- InternalServerException
-
The request processing has failed because of an unknown error, exception or failure.
- retryAfterSeconds
-
Retry after seconds.
HTTP Status Code: 500
- ResourceNotFoundException
-
The resource could not be found.
- resourceId
-
The resource ID could not be found.
- resourceType
-
The resource type could not be found.
HTTP Status Code: 404
- ThrottlingException
-
The request was denied due to request throttling.
- message
-
The message that the request was denied due to request throttling.
- quotaCode
-
The request exceeds a request rate quota.
- retryAfterSeconds
-
The request exceeds a request rate quota. Retry after seconds.
- serviceCode
-
The request exceeds a service quota.
HTTP Status Code: 429
- ValidationException
-
The input failed to satisfy the constraints specified by an AWS service.
- fieldList
-
A list of fields that didn't validate.
- reason
-
The reason for the validation exception.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: